\ProvidesClass{report}
\LoadClass{ctexart}

\RequirePackage{tikz}
\def\report@define@term#1#2{%
  \expandafter\gdef\csname #1\endcsname##1{%
    \expandafter\gdef\csname report@#1\endcsname{##1}%
  }%
  \csname #1\endcsname{#2}%
}
\report@define@term{Ftitle}{表头}
\report@define@term{title}{表格题目}
\report@define@term{content}{内容}
\report@define@term{remark}{评语}

%表格宽度、高度
\newlength{\Aheight}
\setlength{\Aheight}{15mm}
\newlength{\Awidth}
\setlength{\Awidth}{15mm}
\newlength{\Bheight}
\setlength{\Bheight}{80mm}


\newcommand{\makeform}{
   \pagestyle{empty}
\begin{center}
 \zihao{-2}\textbf{\report@Ftitle} 
\end{center}
%\smallskip
\begin{tikzpicture} 
%第一行
\node[draw,minimum height=\Aheight,minimum width=\Awidth] (A1) at (0,0) {\parbox[t]{2em}{设计题目}};
\node[draw,minimum height=\Aheight,minimum width=65mm] (A2) at (4,0) {\parbox[][10mm][c]{60mm}{\report@title}};
\node[draw,minimum height=\Aheight,minimum width=\Awidth] (A3) at (8,0) {\parbox[t]{2em}{成绩}};
\node[draw,minimum height=\Aheight,minimum width=25mm] (A4) at (10,0) {\parbox[t]{2em}{~~~~~}};
%第二行
\node[draw,minimum height=\Bheight,minimum width=\Awidth] (B1) at (0,-4.75) {\parbox[t]{2em}{课程设计主要内容}};
\node[draw,minimum height=\Bheight,minimum width=105mm] (B1) at (6,-4.75) {\parbox[][60mm][t]{100mm}{\report@content}};
%第三行
\node[draw,minimum height=\Bheight,minimum width=\Awidth] (C1) at (0,-12.75) {\parbox[t]{2em}{指导教师评语}};
\node[draw,minimum height=\Bheight,minimum width=105mm] (C2) at (6,-12.75) {\parbox[][60mm][t]{100mm}{\report@remark 
    \par\vfill
\hfill 签名：\hspace{20mm}   日期：\hspace{20mm}
}};
\end{tikzpicture}
}